Migrate phan for CirrusSearch to jenkins
Closed, ResolvedPublic

Description

CirrusSearch currently has phan run via cindy-test-bot, we should migrate it to run using the normal CI system in jenkins.

Legoktm created this task.Dec 13 2016, 7:22 AM
Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptDec 13 2016, 7:22 AM
Deskana triaged this task as Normal priority.Dec 15 2016, 11:06 PM
Deskana moved this task from Needs triage to Later on the Discovery-Search board.

Change 327773 had a related patch set uploaded (by EBernhardson):
Make our phan runtime more like core

https://gerrit.wikimedia.org/r/327773

Change 327884 had a related patch set uploaded (by EBernhardson):
Adjust phan script to run sub-projects

https://gerrit.wikimedia.org/r/327884

Change 327884 merged by jenkins-bot:
Adjust phan script to run sub-projects

https://gerrit.wikimedia.org/r/327884

Change 332521 had a related patch set uploaded (by EBernhardson):
Enable phan for CirrusSearch extension

https://gerrit.wikimedia.org/r/332521

@greg Can one of your team help with this? We think it's blocked on having someone with Zuul access take a look. Having this integrated properly into CI, rather than running in a slightly hacky bot, would be nice. This is not urgent. :-)

Deskana moved this task from Later to Current work on the Discovery-Search board.Jan 17 2017, 6:18 PM
Deskana moved this task from Backlog to Needs review on the Discovery-Search (Current work) board.

Change 332521 merged by jenkins-bot:
Enable phan for CirrusSearch extension

https://gerrit.wikimedia.org/r/332521

Deskana closed this task as Resolved.Jan 17 2017, 6:24 PM
Deskana claimed this task.
Deskana added a subscriber: thcipriani.

That was fast! Thanks @thcipriani!

Deskana reassigned this task from Deskana to EBernhardson.Jan 17 2017, 6:24 PM
Deskana moved this task from Needs review to Done on the Discovery-Search (Current work) board.

Change 332534 had a related patch set uploaded (by EBernhardson):
Update CirrusSearch extension dependencies

https://gerrit.wikimedia.org/r/332534

Change 332534 merged by jenkins-bot:
Update CirrusSearch extension dependencies

https://gerrit.wikimedia.org/r/332534

Change 327773 merged by jenkins-bot:
Use the core script for running phan

https://gerrit.wikimedia.org/r/327773